package com.beanpodtech.allinone.bean;

import java.util.List;

public class BarrageBean extends BaseRequestBean{

    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * content : 好好学习
         * avaterUrl : http://hw.baihuahui.top
         * location : 00000000001
         * direction : 1
         * contentSize : 3
         * contentColor : #FFC125
         * speed : 12
         * timePoint : 10
         */

        private String content;
        private String avaterUrl;
        private int location;
        private int direction;
        private int contentSize;
        private String contentColor;
        private int speed;
        private int timePoint;

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getAvaterUrl() {
            return avaterUrl;
        }

        public void setAvaterUrl(String avaterUrl) {
            this.avaterUrl = avaterUrl;
        }

        public int getLocation() {
            return location;
        }

        public void setLocation(int location) {
            this.location = location;
        }

        public int getDirection() {
            return direction;
        }

        public void setDirection(int direction) {
            this.direction = direction;
        }

        public int getContentSize() {
            return contentSize;
        }

        public void setContentSize(int contentSize) {
            this.contentSize = contentSize;
        }

        public String getContentColor() {
            return contentColor;
        }

        public void setContentColor(String contentColor) {
            this.contentColor = contentColor;
        }

        public int getSpeed() {
            return speed;
        }

        public void setSpeed(int speed) {
            this.speed = speed;
        }

        public int getTimePoint() {
            return timePoint;
        }

        public void setTimePoint(int timePoint) {
            this.timePoint = timePoint;
        }
    }
}
